/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
$prefix:pymes;
/*CUSTOM*/

body {
    height: 100%;
    margin: 0px;
    color: #333;
}
.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}
h1,h2,h3,h4,h5,h6, .navbar,
.btn{
    font-family: 'Oswald', sans-serif;
    font-weight: 300;
}
.btn{
  border-radius: 0;
}
.zone-head img{
  max-height: 75px;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
  max-width: 280px;
}
.navbar-custom .nav-link{
  font-size: 14px;
  text-transform: uppercase;
  -webkit-transition: padding 0.3s;
  -moz-transition: padding 0.3s;
  transition: padding 0.3s;
}
.navbar-brand {
    padding: 0;
}
.flex-direction-nav a {
    background-color: rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    line-height: 20px;
    height: 30px;
    opacity: 0.7;
    width: 28px;
}
.flex-direction-nav a:before {
    font-size: 18px;
    color: white;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.1);
}
.flex-direction-nav .flex-next {
    right: 10px;
}
.flex-direction-nav .flex-prev {
    left: 10px;
}
.flex-direction-nav:hover a{
  background-color: rgba(0,0,0,0.8);
}
.flexslider .flex-caption {
    background-color: transparent;
    bottom: 10%;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.9);
    max-width: 640px;
}
.flexslider h3{
  text-transform: uppercase;
      font-size: 1.25rem;
}
.flexslider .flex-description{
    max-width: 520px;
    background-color: rgba(0, 0, 0, 0.61);
    margin-top: 15px;
    padding: 15px;
}
.flexslider .btn{
  text-transform: uppercase;
}
.main {
    margin-top: 50px;
}
.node-f .main{
  margin-top: 0;
}
.front img{
  border-radius: 50%;
}
.zone-title{
  background-color: #EEE;
  padding: 20px 0;
  margin-bottom: 15px;
}
.promoted {
    background: #EEE;
    padding: 35px 0;
}
.footer {
    background-color: rgba(0, 0, 0, 0.9);
    min-height: 100px;
    padding-top: 35px;
    color: #ffffff;
}
.footer hr {
    border: 0;
    border-top: 1px solid #eee;
}
.footer a:hover,
.footer a:focus{
  color: #ddd;
  text-decoration: none;
}
.footer p {
    font-size: 15px;
    line-height: 20px;
}
.blog-teaser-3 {
    padding: 0;
    border: 1px solid #cccccc;
    min-height: 420px;
}
.blog-teaser-3:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.blog-teaser-3 .field-image{
    max-height: 200px;
    overflow: hidden;
}
.blog-teaser-3 .field-summary {
    max-height: 125px;
    overflow: hidden;
}
.blog-teaser-3 .teaser-content {
    padding: 5px 20px;
}
.blog-teaser-3 .field-link {
    text-transform: uppercase;
    text-align: center;
    position: absolute;
    bottom: 15px;
    width: 100%;
}
.block{
    padding:50px 0;
}
.social a{
    margin: 0 8px;
    font-size: 14px;
}
.teaser {
    position: relative;
    height: inherit;
}
.teaser .field-image img{
  width: 100%;
}
.teaser .field-title {
    background-color: rgba(0, 0, 0, 0.6);
    margin-top: -45px;
    position: absolute;
    width: 100%;
    bottom: 0;
}
.dropdown-menu {
  margin-top: 0;
  border: 0;
  border-radius: 0;
}
.navbar{
  font-family:'Oswald', sans-serif;
  margin: 0 auto;
  max-width: 1140px;
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    .flexslider .flex-description {
        padding: 15px;
        line-height: 16px;
        font-size: 14px;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    .flexslider .flex-description {
        padding: 5px 10px;
    }
    .flexslider .flex-description {
        padding: 15px;
        line-height: 18px;
        font-size: 16px;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .navbar-custom .nav-link{
      padding: 20px 15px;
    }
    .main {
      margin-top: 70px;
    }
    .flex-direction-nav a{
        padding: 13px;
        line-height: 40px;
        height: 60px;
        width: 48px;
    }
    .dropdown:hover>.dropdown-menu {
      display: block;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text in $darks {
  .#{$prefix}#{$css} {
    .short_name {
        color: $text;
    }
    .dropdown-menu,
    .zone-head {
        background-color: rgba($color, 0.80);
    }
    .dropdown-item{
        color:$text;
        &.active,
        &:active,
        &:hover{
            color:$color;
        }
    }
    .navbar-custom .nav-link{
        color:$text;
    }
    a{
        color:darken($color,10%);
    }
    .teaser a,
    a.btn {
        color: white;
    }
    .text-main{
        color:$color;
    }
    .text-inverse{
        color:$text;
    }
    .navbar-nav .nav-item:hover
    {
        border-color:$text;
    }
    .btn-main{
        background-color: darken($color,5%);
        border-color: darken($color,8%);
        color:$text;
        &:hover{
            background-color: darken($color,10%);
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }
    .form-control:focus {
        border-color: $color;
    }
    .icon-bar{
    background:$text;
    }
    .navbar-toggler{
    border-color:$text;
    }
    .bg-main{
      background-color: $color;
      color: $text;
    }
  }
}
/* FIX */
.footer a{
  color: white;
}